Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
dovananh.xd

[Yêu cầu] Viết hộ em cái lisp thế này. Cám ơn!

Các bài được khuyến nghị

Z enter\ shift + chuột phải chọn Endpoint\ click điểm 1\ shift + chuột phải chọn Endpoint\ click điểm 2

 

ah.png

Lisp cho khung rec bên model trùng khít với khung MV bên layout, Ứng dụng trong trường hợp có nhiều, có thể là rất nhiều khung.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em xin trình bày rõ hơn về yêu cầu của mình:

Bên model có một khung REC tỷ lệ với một khung MV bên layout, làm thế nào để đưa khung REC bên model trùng khít với khung MV bên layout? Với câu hỏi trên thì làm theo cách sau:" Z enter\ shift + chuột phải chọn Endpoint\ click điểm 1\ shift + chuột phải chọn Endpoint\ click điểm 2 " . Và vấn đề đặt ra ở đây là bên model có nhiều khung REC chứa nhiều nội dung khác nhau trong đó cần đưa sang bên layout tương tự nhau. Nhờ các pro viết dùm em cái lisp này với ạ. Thanks rất nhiều!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các pro ơi, trả lời topic này đi:)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em xin trình bày rõ hơn về yêu cầu của mình:

Bên model có một khung REC tỷ lệ với một khung MV bên layout, làm thế nào để đưa khung REC bên model trùng khít với khung MV bên layout? Với câu hỏi trên thì làm theo cách sau:" Z enter\ shift + chuột phải chọn Endpoint\ click điểm 1\ shift + chuột phải chọn Endpoint\ click điểm 2 " . Và vấn đề đặt ra ở đây là bên model có nhiều khung REC chứa nhiều nội dung khác nhau trong đó cần đưa sang bên layout tương tự nhau. Nhờ các pro viết dùm em cái lisp này với ạ. Thanks rất nhiều!

 

Express -> layout tools -> align space

 

 

Command: <Switching to: Layout1>

Regenerating layout.

Regenerating model - caching viewports.

Command:

Command:

Command: alignspace

FIRST alignment point in MODEL space:

SECOND point in MODEL space or <Return> for none:

FIRST alignment point in PAPER space:

SECOND alignment point in PAPER space:

Paper space = Model space

..........

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Express -> layout tools -> align space

 

 

Command: <Switching to: Layout1>

Regenerating layout.

Regenerating model - caching viewports.

Command:

Command:

Command: alignspace

FIRST alignment point in MODEL space:

SECOND point in MODEL space or <Return> for none:

FIRST alignment point in PAPER space:

SECOND alignment point in PAPER space:

Paper space = Model space

..........

Thanks!

Bác ơi, nhưng làm trong trường hợp nhiều khung giống nhau bên model và bên layout cũng có nhiều khung MV như thế thì làm cách nào cho nhanh ạ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thanks!

Bác ơi, nhưng làm trong trường hợp nhiều khung giống nhau bên model và bên layout cũng có nhiều khung MV như thế thì làm cách nào cho nhanh ạ?

 

Bạn tạo khung để in à. nếu tạo khung để in. thì bạn tạo bên layout rồi copy ra nhiều layout khác. mỗi layout là một khung.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Bạn tạo khung để in à. nếu tạo khung để in. thì bạn tạo bên layout rồi copy ra nhiều layout khác. mỗi layout là một khung.

Copy sang nhiều layout thì cũng thế thôi mà, có khác gì đâu. Quan trọng là đưa nhiều khung REC bên model, mỗi khung này vào một khung MView bên layout

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

nếu cái khung bên model của bạn là một rectang thì bạn có thể xài lisp này. Sau khi bạn gõ lệnh zs bạn chọn cái khung là lisp làm việc!!

(defun c:zs(/ dt)
(command "Mspace")
 (setq dt (car(entsel))
)
 (command "zoom" (vlax-curve-getPointatParam dt 1) (vlax-curve-getPointatParam dt 3))
(command "pspace")
(princ)
 )

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

nếu cái khung bên model của bạn là một rectang thì bạn có thể xài lisp này. Sau khi bạn gõ lệnh zs bạn chọn cái khung là lisp làm việc!!

(defun c:zs(/ dt)
(command "Mspace")
 (setq dt (car(entsel))
)
 (command "zoom" (vlax-curve-getPointatParam dt 1) (vlax-curve-getPointatParam dt 3))
(command "pspace")
(princ)
 )

Thanks pro nhiều lắm!

Dùng thế này cũng đã tiện hơn rất nhiều rồi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

@dovananh.xd : bạn chú ý cách đặt tiêu đề topic theo đúng nội quy yêu cầu của box. Lần sau tái phạm mình sẽ gửi ra đảo nhé :)

Yêu cầu của bạn na ná cái này nhỉ :

 

VPScale.gif

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×